<?php
	
	include_once( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );

	/**
	 * implements the main view of the plugin
	 */
	class PluginRecommendedConfigView extends AdminPluginTemplatedView
	{

		function PluginRecommendedConfigView( $blogInfo )
		{
			$this->AdminPluginTemplatedView( $blogInfo, "recommended", "recommended" );
		}
		
		function render()
		{
			// load some configuration settings
			$blogSettings = $this->_blogInfo->getSettings();
			$pluginEnabled = $blogSettings->getValue( "plugin_recommended_enabled", 0);
			$recommendedPosts = $blogSettings->getValue( "plugin_recommended_posts", array());
			
			// create a view and export the settings to the template
			$this->setValue( "pluginEnabled", $pluginEnabled );
			$this->setValue( "recommendedPosts", implode(" ", $recommendedPosts) );
			
			parent::render();
		}
	}
?>